<template>
  <div id="sidebar">
    <div class="logo-container">
      <img id="logo-img" :src="require('@/pages/asset/logo.svg')"/>
      <span id="logo-text">zeus</span>
    </div>
    <div class="menu">
      <menu-item icon="user" to="account">Account</menu-item>
      <menu-item icon="archway" to="manufacturer">Manufacturer</menu-item>
    </div>
  </div>
</template>

<script>
  import { library } from '@fortawesome/fontawesome-svg-core/index'
  import { faUser } from '@fortawesome/free-solid-svg-icons/index'
  import { faArchway } from '@fortawesome/free-solid-svg-icons/index'

  import MenuItem from './MenuItem'

  library.add(faUser)
  library.add(faArchway)

  export default {
    name: 'Sidebar',
    components: { MenuItem }
  }
</script>

<style scoped lang="scss">
  @import "../../common/common";

  #sidebar {
    width: 16em;
    min-height: 100%;
    background-color: $sidebar-background-color;
  }

  .logo-container {
    margin-top: 1.8em;
  }

  #logo-img {
    margin-bottom: -0.25em;
  }

  #logo-text {
    display: inline-block;
    color: white;
    font-weight: 500;
    font-size: 2em;
    margin-left: 0.2em;
    user-select: none;
  }

  .menu {
    text-align: left;
    padding-top: 2.2em;

    a {
      color: $sidebar-text-color;
    }
  }
</style>